## r-cran-cmdfun 1.0.2

=== DESCRIPTION ===
Package: cmdfun
Type: Package
Title: Framework for Building Interfaces to Shell Commands
Version: 1.0.2
Authors@R: person("Spencer", "Nystrom", 
    email = "nystromdev@gmail.com", 
    role = c("aut", "cre", "cph"),
    comment = c(ORCID = "0000-0003-1000-1579"))
Description: Writing interfaces to command line software is cumbersome. 
    'cmdfun' provides a framework for building function calls to seamlessly 
    interface with shell commands by allowing lazy evaluation of command line arguments. 
    'cmdfun' also provides methods for handling user-specific paths to tool installs or secrets like API keys. 
    Its focus is to equally serve package builders who wish to wrap command line software, and to help analysts stay inside 
    R when they might usually leave to execute non-R software.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: magrittr, purrr, R.utils, rlang, testthat, usethis, utils
RoxygenNote: 7.0.2
Suggests: cli, covr, knitr, processx, rmarkdown
VignetteBuilder: knitr
URL: https://snystrom.github.io/cmdfun/,
        https://github.com/snystrom/cmdfun
BugReports: https://github.com/snystrom/cmdfun
NeedsCompilation: no
Packaged: 2020-10-02 14:16:21 UTC; snystrom
Author: Spencer Nystrom [aut, cre, cph]
    (<https://orcid.org/0000-0003-1000-1579>)
Maintainer: Spencer Nystrom <nystromdev@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-10 09:30:03 UTC

=== debian/changelog ===
r-cran-cmdfun (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Apr 2022 11:23:17 +0200

r-cran-cmdfun (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #1008732)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2022 20:20:29 +0200

=== debian/control ===
Source: r-cran-cmdfun
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmdfun
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmdfun.git
Homepage: https://cran.r-project.org/package=cmdfun
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-r.utils,
               r-cran-rlang,
               r-cran-testthat,
               r-cran-usethis
Testsuite: autopkgtest-pkg-r

Package: r-cran-cmdfun
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNI R framework for building interfaces to shell commands
 Writing interfaces to command line software is cumbersome. 'cmdfun'
 provides a framework for building function calls to seamlessly interface
 with shell commands by allowing lazy evaluation of command line
 arguments. 'cmdfun' also provides methods for handling user-specific
 paths to tool installs or secrets like API keys. Its focus is to equally
 serve package builders who wish to wrap command line software, and to
 help analysts stay inside R when they might usually leave to execute non-
 R software.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cmdfun_([-\d.]*)\.tar\.gz
